<template>
  <v-layout column>
    <base-app-bar title="Edit Profile" />
    <v-card flat>
      <v-container class="white">
        <v-col cols="12" md="12" class="text-center">
          <v-avatar size="128" rounded="5">
            <img
              src="https://cdn.vuetifyjs.com/images/john.jpg"
              alt="John"
            >
          </v-avatar>
          <div class="my-3">
            <h3 class="text-dark">
              Diko Mahendra
            </h3>
            <span>Frontend Engineer</span>
          </div>
        </v-col>
        <v-container>
          <v-row>
            <base-input label="Nama Lengkap" />
            <base-input label="Pendidikan" />
            <base-input label="Email" />
            <base-input label="Github Profile" />
            <base-selected label="Keahlian" :items="items" />
            <base-selected label="Occuption" :items="occuptions" />
          </v-row>
          <v-row class="px-3 my-5" justify="end">
            <v-btn color="primary" class="text-capitalize" @click="dialog = !dialog">
              <v-icon>mdi-pencil</v-icon>
              Update profile
            </v-btn>
          </v-row>
        </v-container>
      </v-container>

      <v-dialog
        v-model="dialog"
        persistent
        max-width="600px"
      >
        <v-card>
          <v-card-title>
            <span class="text-body">Update Profile</span>
          </v-card-title>
          <v-card-text class="py-10">
            <v-text-field
              label="Karir"
              value="Frontend Engineer at Qatros"
              outlined
            />
            <v-text-field
              label="Pendidikan"
              value="SMK Negeri 1 Rawajitu Selatan"
              outlined
            />
          </v-card-text>
          <v-card-actions>
            <v-spacer />
            <v-btn
              color="blue darken-1"
              text
              @click="dialog = false"
            >
              Close
            </v-btn>
            <v-btn
              color="blue darken-1"
              text
              @click="dialog = false"
            >
              Update
            </v-btn>
          </v-card-actions>
        </v-card>
      </v-dialog>
    </v-card>
  </v-layout>
</template>

<script>
export default {
  layout: 'dashboard',
  data () {
    return {
      items: ['Front-end Developer', 'Back-end Developer', 'Mobile Developer', 'Freelncer', 'Others'],
      occuptions: ['Sekolah', 'Kuliah Kerja', 'Kerja', 'Pengangguran']
    }
  }
}
</script>
